
;ͻ
;                  Definitions of constants                           
;ͼ

	BaudRate	EQU   1200	; between 600 and 4800  (tested)
	DelayTime	EQU	30	; 30 mS between two pulses packets
	PleaseSendData	EQU	's'	; the command byte for send the last
					; medium value measured

	BitTimeSerial           SET  125000 / BaudRate
	FirstBitTimeSerial      SET  BitTimeSerial / 3

	InternDelayTime		SET  DelayTime*100 / 204 

;ͻ
;                  Internal RAM registers                             
;ͼ

	SaveStatus	EQU	0x0C
	SaveWReg	EQU	0x0D
	PulseCounter	EQU	0x0E
	Counter2mS	EQU	0x0F
	SerialStatus	EQU	0x10
	SerialRegister	EQU	0x11
	SerialRTCC	EQU	0x12
	BitIndex	EQU	0x13
	GeneralStatus	EQU	0x14
	TaskStatus	EQU	0x15
	LowByteDelay	EQU	0x16
	HighByteDelay	EQU	0x17
	IndexLowByte	EQU	0x18
	TempLowByte	EQU	0x19
	TempHighByte	EQU	0x20

	BufferAdress	EQU	0x25

;ͻ
;                  Definition of flags                                
;ͼ

  #define WaitStartBit    SerialStatus, 0
  #define SendedStopBit   SerialStatus, 1
  #define ReadStartBit    SerialStatus, 2
;

  #define   SendByte        TaskStatus, 0
  #define   RecByte         TaskStatus, 1
;

  #define   SendedSecondByte   GeneralStatus, 0
;

;ͻ
;                  Define inputs / outputs                            
;ͼ

; Inputs

  #define   RxIN        _porta, 4  ; 
;

; Outputs

  #define   GainControl _porta, 0  ; 
  #define   Out1        _porta, 1  ; 
  #define   Out2        _porta, 2  ; 
  #define   TxOUT       _porta, 3  ; 
;

